// COPYRIGHT (C) 1998.  All Rights Reserved. - BITMAP3.HPP
// Zinc Software Incorporated.  Pleasant Grove, Utah  USA
// May be freely copied, used and distributed.

class AnimatedBitmap : public MyBitmap
{
public:
	AnimatedBitmap(int left, int top, int width, int height,
		ZafIChar *bitmapSeriesName, int numberOfBitmaps,
		int timerInterval = 250);
	~AnimatedBitmap(void);
	virtual ZafEventType Event(const ZafEventStruct &event);

protected:
	ZafTimer *bitmapTimer;
	ZafIChar *bitmapSeriesName;
	int numberOfBitmaps;
	int currentBitmap;
	int timerInterval;
};
