// COPYRIGHT (C) 1990-1998.  All Rights Reserved. - BITMAP5.HPP
// Zinc Software Incorporated.  Pleasant Grove, Utah  USA
// May be freely copied, used and distributed.

#define MAX_INTERVAL 250
#define MIN_INTERVAL  50

const ZafEventType U_ADJUST_TIMER  = 10000;
const ZafEventType U_OPEN_BITMAP   = 10001;
const ZafEventType U_CLOSE_BITMAP  = 10002;
const ZafEventType U_UPDATE_SCROLL = 10003;

class ControlWindow : public ZafWindow
{
public:
	// --- General members ---
	ControlWindow(ZafIChar *name);
	~ControlWindow();
	virtual ZafEventType Event(const ZafEventStruct &event);

protected:
	void OpenBitmapWindow(void);
	void CloseBitmapWindow(void);
	void ResetTimerInterval(void);
	void ResetScrollBar(void);
	int bitmapCounter;
	ZafComboBox *bitmapCombo;
	ZafInteger *currentInterval;
	ZafScrollBar *slider;
};
