// COPYRIGHT (C) 1998.  All Rights Reserved. - DRAW2.HPP
// Zinc Software Incorporated.  Pleasant Grove, Utah  USA
// May be freely copied, used and distributed.

// StopLightWin Events.
const ZafEventType CHANGE_LIGHT_STATE = 10000;

class Light : public ZafWindowObject
{
public:
	Light(int left, int top, int width, int height);
	~Light(void){}

protected:
	virtual ZafEventType Draw(const ZafEventStruct &event, ZafEventType ccode);
};

class LightWin : public ZafWindow
{
public:
	LightWin(int left, int top, int width, int height);
	virtual ~LightWin(void){}
	virtual ZafEventType Event(const ZafEventStruct &event);

protected:
	Light *light;
};

