#include <zaf.hpp>
#include "hello3.hpp"

ZafDataPersistence::DataConstructor ZAF_FARDATA UserPersist::dataTable[] =
{
	// --- Object constructors ---
	{ 3105, ZafStringData::className, ZafStringData::Read },
	{ 3119, ZafPaletteData::className, ZafPaletteData::Read },
	{ ID_END, 0, 0 }
};

ZafObjectPersistence::ObjectConstructor ZAF_FARDATA UserPersist::objectTable[] =
{
	// --- Object constructors ---
	{ 1007, ZafWindow::className, ZafWindow::Read },
	{ 1, ZafBorder::className, ZafBorder::Read },
	{ 7, ZafMaximizeButton::className, ZafMaximizeButton::Read },
	{ 8, ZafMinimizeButton::className, ZafMinimizeButton::Read },
	{ 1006, ZafSystemButton::className, ZafSystemButton::Read },
	{ 17, ZafTitle::className, ZafTitle::Read },
	{ 1004, ZafPullDownMenu::className, ZafPullDownMenu::Read },
	{ 1003, ZafPullDownItem::className, ZafPullDownItem::Read },
	{ 1002, ZafPopUpMenu::className, ZafPopUpMenu::Read },
	{ 19, ZafPopUpItem::className, ZafPopUpItem::Read },
	{ 11, ZafPrompt::className, ZafPrompt::Read },
	{ 2, ZafButton::className, ZafButton::Read },
	{ 22, ZafDialogWindow::className, ZafDialogWindow::Read },
	{ 15, ZafText::className, ZafText::Read },
	{ ID_END, 0, 0 }
};

ZafObjectPersistence::CompareFunction ZAF_FARDATA UserPersist::compareFunctionTable[] =
{
	// --- Compare functions ---
	{ 0, 0 }
};

ZafObjectPersistence::UserFunction ZAF_FARDATA UserPersist::userFunctionTable[] =
{
	// --- User functions ---
	{ 0, 0 }
};

ZafObjectPersistence::UserObject ZAF_FARDATA UserPersist::userObjectTable[] =
{
	// --- User objects ---
	{ 0, 0 }
};

