# ----- General -------------------------------------------------------------
DEBUG=off

# ----- Usage ---------------------------------------------------------------
# Usage

usage:
	@type <<

Usage:

zmake dos16      (16 bit DOS with Pharlap)
zmake dos32      (32 bit DOS with Pharlap)
zmake win16      (16 bit Windows)
zmake win32      (32 bit Windows)
zmake win32dll   (32 bit Windows dll)
<<


# ----- Clean ---------------------------------------------------------------
clean:
	z_clean

# ----- Platforms -----------------------------------------------------------
dos16: popup16.exe

dos32: popup32.exe

win16: wpopup16.exe

win32: wpopup32.exe

win32dll: wpopup.exe

# ----- Targets -------------------------------------------------------------

!if "$(ZINC_COMPILER)" == "borland"
D16_DEFINITION_FILE=b16.def
!endif

#
# Build options for popup16.exe
#
TARGET=popup16.exe
TARGET_TYPE=EXE
PLATFORM=DOS16
SOURCE_FILES=popup.cpp
ADD_LIBRARIES=zafd16p.lib
DEFINITION_FILE=$(D16_DEFINITION_FILE)
!include <zaf.mak>

#
# Build options for popup32.exe
#
TARGET=popup32.exe
TARGET_TYPE=EXE
PLATFORM=DOS32
SOURCE_FILES=popup.cpp
ADD_LIBRARIES=zafd32p.lib
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wpopup16.exe
#
TARGET=wpopup16.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
SOURCE_FILES=popup.cpp
ADD_LIBRARIES=zafw16p.lib
DEFINITION_FILE=win16.def
!include <zaf.mak>

#
# Build options for wpopup32.exe
#
TARGET=wpopup32.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
SOURCE_FILES=popup.cpp
ADD_LIBRARIES=zafw32p.lib
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wpopup.exe
#
TARGET=wpopup.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
SOURCE_FILES=popup.cpp
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>
