#include <zaf.hpp>
#include "printapp.hpp"

ZafDataPersistence::DataConstructor ZAF_FARDATA UserPersist::dataTable[] =
{
	// --- Data constructors ---
	{ 3105, ZafStringData::className, ZafStringData::Read },
	{ 3119, ZafPaletteData::className, ZafPaletteData::Read },
	{ 0, ZafBitmapData::className, ZafBitmapData::Read },

	{ ID_END, 0, 0 }
};

ZafObjectPersistence::ObjectConstructor ZAF_FARDATA UserPersist::objectTable[] =
{
	// --- Object constructors ---
	{ 3500, PrintWindow::className, PrintWindow::Read },
	{ 1, ZafBorder::className, ZafBorder::Read },
	{ 7, ZafMaximizeButton::className, ZafMaximizeButton::Read },
	{ 8, ZafMinimizeButton::className, ZafMinimizeButton::Read },
	{ 1006, ZafSystemButton::className, ZafSystemButton::Read },
	{ 17, ZafTitle::className, ZafTitle::Read },
	{ 1004, ZafPullDownMenu::className, ZafPullDownMenu::Read },
	{ 1003, ZafPullDownItem::className, ZafPullDownItem::Read },
	{ 1002, ZafPopUpMenu::className, ZafPopUpMenu::Read },
	{ 19, ZafPopUpItem::className, ZafPopUpItem::Read },
	{ 1009, ZafToolBar::className, ZafToolBar::Read },
	{ 2, ZafButton::className, ZafButton::Read },

	{ ID_END, 0, 0 }
};

ZafObjectPersistence::UserFunction ZAF_FARDATA UserPersist::userFunctionTable[] =
{
	// --- User functions ---

	{ 0, 0 }
};

ZafObjectPersistence::CompareFunction ZAF_FARDATA UserPersist::compareFunctionTable[] =
{
	// --- Compare functions ---

	{ 0, 0 }
};

ZafObjectPersistence::UserObject ZAF_FARDATA UserPersist::userObjectTable[] =
{
	// --- User objects ---

	{ 0, 0 }
};
